Content-type: text/html; charset=UTF-8

# x2goresume-session

Section: X2Go Server Tool (8)
Updated: Aug 2023
Index Return to Main Contents

## NAME

x2goresume-session - Resume X2Go Session

## SYNOPSIS

x2goresume-session <session_id> \
<geometry> \
<link_quality> \
<nx_pack_meth> \
<kblayout> \
<kbtype> \
<setkbd> \
<clipboardmode>

## DESCRIPTION

x2goresume-session resumes the suspended session with session ID <session_id>.

This command is normally issued by an X2Go client application with X2Go user privileges.

## ARGUMENTS

<session_id>
  The session ID (or session name) of the suspend session that is to be resumed.
<geometry>
  Session window size on screen (allowed values: <width>x<height> or fullscreen).
<link_quality>
  Any value out of: modem, isdn, adsl, wan or lan.
<nx_pack_method>
  NX compression method (see below for possible values).
<cache_type+dpi>
  Cache type and color depth for X2Go session window. The most common value is: unix-kde-depth_24 where ,,24'' is the color depth in bit.
<kblayout>
  Keyboard layout (e.g. us, de, etc.).
<kbtype>
  Keyboard type/model (e.g. pc105/us).
<setkbd>
  Force setting keyboard layout and type within the X2Go session on startup. Values: 0 or 1.
<clipboardmode>
  The session's clipboard mode. Possible values: both, server, client, none. Allows one to configure clipboard security per session via the connecting X2Go client. If the clipboard parameter is set server-side in /etc/x2go/x2goagent.options, then that value will override client-side settings.

## RETURN VALUES

x2goresume-session reports to stderr if resuming of session <session_id> failed. This very probably means that the session's X agent has died, so the session <session_id> will be marked as finished in the X2Go session database.

If everything works out well, a list of session attributes is returned after successful session resumption. Session attributes will be presented on a line-by-line basis:

field 01: <graphics_port>
field 02: <sound_port>
field 03: <sshfs_port>
field 04: <tekictrl_port> (if Telekinesis is available/enabled)
field 04: <tekidata_port> (if Telekinesis is available/enabled)

As exitcode x2goresume-session always returns 0.

## SEE ALSO

x2gostartagent(8), x2goruncommand(8), x2gosuspend-session(8), x2goterminate-session(8)

## AUTHOR

This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).

## Index

NAME
SYNOPSIS
DESCRIPTION
ARGUMENTS
RETURN VALUES
SEE ALSO
AUTHOR

This document was created by man2html, using the manual pages.
Time: 17:52:57 GMT, February 18, 2025